Test an unsaved SSH connection through Airflow
curl --request POST \
--url https://api.example.com/api/migration/infrastructure-config/ssh-connections/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conn_id": "<string>",
"host": "<string>",
"login": "<string>",
"port": 22,
"auth_method": "private_key",
"private_key": "<string>",
"private_key_passphrase": "<string>",
"password": "<string>",
"key_file": "<string>",
"timeout": 30,
"no_host_key_check": true,
"allow_host_key_change": true,
"compress": false,
"look_for_keys": false,
"description": "<string>"
}
'import requests
url = "https://api.example.com/api/migration/infrastructure-config/ssh-connections/test"
payload = {
"conn_id": "<string>",
"host": "<string>",
"login": "<string>",
"port": 22,
"auth_method": "private_key",
"private_key": "<string>",
"private_key_passphrase": "<string>",
"password": "<string>",
"key_file": "<string>",
"timeout": 30,
"no_host_key_check": True,
"allow_host_key_change": True,
"compress": False,
"look_for_keys": False,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conn_id: '<string>',
host: '<string>',
login: '<string>',
port: 22,
auth_method: 'private_key',
private_key: '<string>',
private_key_passphrase: '<string>',
password: '<string>',
key_file: '<string>',
timeout: 30,
no_host_key_check: true,
allow_host_key_change: true,
compress: false,
look_for_keys: false,
description: '<string>'
})
};
fetch('https://api.example.com/api/migration/infrastructure-config/ssh-connections/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/migration/infrastructure-config/ssh-connections/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conn_id' => '<string>',
'host' => '<string>',
'login' => '<string>',
'port' => 22,
'auth_method' => 'private_key',
'private_key' => '<string>',
'private_key_passphrase' => '<string>',
'password' => '<string>',
'key_file' => '<string>',
'timeout' => 30,
'no_host_key_check' => true,
'allow_host_key_change' => true,
'compress' => false,
'look_for_keys' => false,
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/migration/infrastructure-config/ssh-connections/test"
payload := strings.NewReader("{\n \"conn_id\": \"<string>\",\n \"host\": \"<string>\",\n \"login\": \"<string>\",\n \"port\": 22,\n \"auth_method\": \"private_key\",\n \"private_key\": \"<string>\",\n \"private_key_passphrase\": \"<string>\",\n \"password\": \"<string>\",\n \"key_file\": \"<string>\",\n \"timeout\": 30,\n \"no_host_key_check\": true,\n \"allow_host_key_change\": true,\n \"compress\": false,\n \"look_for_keys\": false,\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/migration/infrastructure-config/ssh-connections/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conn_id\": \"<string>\",\n \"host\": \"<string>\",\n \"login\": \"<string>\",\n \"port\": 22,\n \"auth_method\": \"private_key\",\n \"private_key\": \"<string>\",\n \"private_key_passphrase\": \"<string>\",\n \"password\": \"<string>\",\n \"key_file\": \"<string>\",\n \"timeout\": 30,\n \"no_host_key_check\": true,\n \"allow_host_key_change\": true,\n \"compress\": false,\n \"look_for_keys\": false,\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/migration/infrastructure-config/ssh-connections/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conn_id\": \"<string>\",\n \"host\": \"<string>\",\n \"login\": \"<string>\",\n \"port\": 22,\n \"auth_method\": \"private_key\",\n \"private_key\": \"<string>\",\n \"private_key_passphrase\": \"<string>\",\n \"password\": \"<string>\",\n \"key_file\": \"<string>\",\n \"timeout\": 30,\n \"no_host_key_check\": true,\n \"allow_host_key_change\": true,\n \"compress\": false,\n \"look_for_keys\": false,\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Infrastructure configuration
Test an unsaved SSH connection through Airflow
POST
/
api
/
migration
/
infrastructure-config
/
ssh-connections
/
test
Test an unsaved SSH connection through Airflow
curl --request POST \
--url https://api.example.com/api/migration/infrastructure-config/ssh-connections/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conn_id": "<string>",
"host": "<string>",
"login": "<string>",
"port": 22,
"auth_method": "private_key",
"private_key": "<string>",
"private_key_passphrase": "<string>",
"password": "<string>",
"key_file": "<string>",
"timeout": 30,
"no_host_key_check": true,
"allow_host_key_change": true,
"compress": false,
"look_for_keys": false,
"description": "<string>"
}
'import requests
url = "https://api.example.com/api/migration/infrastructure-config/ssh-connections/test"
payload = {
"conn_id": "<string>",
"host": "<string>",
"login": "<string>",
"port": 22,
"auth_method": "private_key",
"private_key": "<string>",
"private_key_passphrase": "<string>",
"password": "<string>",
"key_file": "<string>",
"timeout": 30,
"no_host_key_check": True,
"allow_host_key_change": True,
"compress": False,
"look_for_keys": False,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conn_id: '<string>',
host: '<string>',
login: '<string>',
port: 22,
auth_method: 'private_key',
private_key: '<string>',
private_key_passphrase: '<string>',
password: '<string>',
key_file: '<string>',
timeout: 30,
no_host_key_check: true,
allow_host_key_change: true,
compress: false,
look_for_keys: false,
description: '<string>'
})
};
fetch('https://api.example.com/api/migration/infrastructure-config/ssh-connections/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/migration/infrastructure-config/ssh-connections/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conn_id' => '<string>',
'host' => '<string>',
'login' => '<string>',
'port' => 22,
'auth_method' => 'private_key',
'private_key' => '<string>',
'private_key_passphrase' => '<string>',
'password' => '<string>',
'key_file' => '<string>',
'timeout' => 30,
'no_host_key_check' => true,
'allow_host_key_change' => true,
'compress' => false,
'look_for_keys' => false,
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/migration/infrastructure-config/ssh-connections/test"
payload := strings.NewReader("{\n \"conn_id\": \"<string>\",\n \"host\": \"<string>\",\n \"login\": \"<string>\",\n \"port\": 22,\n \"auth_method\": \"private_key\",\n \"private_key\": \"<string>\",\n \"private_key_passphrase\": \"<string>\",\n \"password\": \"<string>\",\n \"key_file\": \"<string>\",\n \"timeout\": 30,\n \"no_host_key_check\": true,\n \"allow_host_key_change\": true,\n \"compress\": false,\n \"look_for_keys\": false,\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/migration/infrastructure-config/ssh-connections/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conn_id\": \"<string>\",\n \"host\": \"<string>\",\n \"login\": \"<string>\",\n \"port\": 22,\n \"auth_method\": \"private_key\",\n \"private_key\": \"<string>\",\n \"private_key_passphrase\": \"<string>\",\n \"password\": \"<string>\",\n \"key_file\": \"<string>\",\n \"timeout\": 30,\n \"no_host_key_check\": true,\n \"allow_host_key_change\": true,\n \"compress\": false,\n \"look_for_keys\": false,\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/migration/infrastructure-config/ssh-connections/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conn_id\": \"<string>\",\n \"host\": \"<string>\",\n \"login\": \"<string>\",\n \"port\": 22,\n \"auth_method\": \"private_key\",\n \"private_key\": \"<string>\",\n \"private_key_passphrase\": \"<string>\",\n \"password\": \"<string>\",\n \"key_file\": \"<string>\",\n \"timeout\": 30,\n \"no_host_key_check\": true,\n \"allow_host_key_change\": true,\n \"compress\": false,\n \"look_for_keys\": false,\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Required string length:
1 - 200Required string length:
1 - 255Required string length:
1 - 255Required range:
1 <= x <= 65535Available options:
private_key, password, key_file Maximum string length:
1024Required range:
1 <= x <= 600Maximum string length:
500Was this page helpful?

